Package org.eclipse.rdf4j.http.protocol.transaction.operations

## Class ClearNamespacesOperation

- java.lang.Object
- - org.eclipse.rdf4j.http.protocol.transaction.operations.ClearNamespacesOperation

- All Implemented Interfaces:
    `Serializable`, `TransactionOperation`

      public class ClearNamespacesOperation
      extends Object
      implements TransactionOperation, Serializable

  Operation that removes all namespace declarations.
  Author:
    Arjohn Kampman, Leo Sauermann
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClearNamespacesOperation()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object other)` |
    `void` | `execute​(RepositoryConnection con)` | Executes this operation on the supplied connection.
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClearNamespacesOperation

          public ClearNamespacesOperation()

  - ### Method Detail

    - #### execute

          public void execute​(RepositoryConnection con)
                       throws RepositoryException

      Description copied from interface: `TransactionOperation`
      Executes this operation on the supplied connection.
      Specified by:
        `execute` in interface `TransactionOperation`
      Parameters:
        `con` - The connection the operation should be performed on.
      Throws:
        `RepositoryException` - If such an exception is thrown by the connection while executing the operation.

    - #### equals

          public boolean equals​(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`